import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 系统用户服务对象基类
 *
 * @export
 * @class SYS_USERServiceBase
 * @extends {EntityServie}
 */
export default class SYS_USERServiceBase extends EntityService {

    /**
     * Creates an instance of  SYS_USERServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  SYS_USERServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof SYS_USERServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='sys_user';
        this.APPDEKEY = 'userid';
        this.APPDENAME = 'sys_users';
        this.APPDETEXT = 'personname';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof SYS_USERServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            return Http.getInstance().get(`/sys_users/${context.sys_user}/select`,isloading);
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof SYS_USERServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/sys_users/select`,tempData,isloading);
    }
}